%define debug_package %{nil}
%define	name  snapper-gui	
%define version	0.1
%define release 7	

%if 0%{?rhel} >= 7
%define python_version 3.4
%endif
%if 0%{?fedora} >= 25 
%define python_version 3.5
%endif

Summary: Graphical interface for snapper
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System 

URL: https://github.com/ricardomv/snapper-gui
Packager: andreas@benzlerweb.de

Patch10: snapper-gui-remove-monospace.patch

Requires: polkit
Requires: btrfs-progs
Requires: snapper

%if 0%{?rhel} >= 7

Requires: epel-release
Requires: python34
Requires: python34-dbus
Requires: python34-cairo >= 1.10
Requires: python34-gobject <= 3.14.0
Requires: python34-pygobject3 <= 3.14.0
Requires: python34-pygobject3-base <= 3.14.0
Requires: python34-setuptools

BuildRequires: python34-devel
BuildRequires: python34-cairo-devel
BuildRequires: python34-pygobject3-devel
BuildRequires: python34-pip

%endif

%if 0%{?fedora} >= 25

Requires: python3
Requires: python3-dbus
Requires: python3-cairo >= 1.10
Requires: pygobject3 >= 3.22.0
Requires: python-gobject-base >= 3.22
Requires: python3-gobject <= 3.22.0
Requires: python3-setuptools

BuildRequires: python3-devel
BuildRequires: python3-cairo-devel
BuildRequires: python3-pip

%endif

Source: snapper-gui-%{version}.tar.gz 

%description
This package contains a graphical interface 
for snapper.

%prep
%setup 
%if 0%{?rhel} >= 7
%patch10 -p0
%endif

%build

%install
%if 0%{?rhel} >= 7
python3.4 setup.py install --prefix=%{buildroot}/usr
%endif

%if 0%{?fedora} >= 25
python3.5 setup.py install --prefix=%{buildroot}/usr
%endif
install -d %{buildroot}/usr/sbin
mv %{buildroot}/usr/bin/snapper-gui  %{buildroot}/usr/sbin/snapper-gui

%files
%defattr(-,root,root)
/usr/lib/python%{python_version}/site-packages/snappergui/**
/usr/lib/python%{python_version}/site-packages/snappergui-%{version}-py%{python_version}.egg-info/**
/usr/sbin/snapper-gui
/usr/share/applications/snapper-gui.desktop
/usr/bin/snapper-gui_polkit
/usr/share/polkit-1/actions/org.fedoraproject.pkexec.run-snapper-gui.policy

%changelog
* Tue Jun 27 2017 andreas@benzlerweb.de 0.1 - 8
- rebuilt on new python library in cloud

* Tue Jun 27 2017 andreas@benzlerweb.de 0.1 - 6
- fix built centos 7 on copr hosts (python34-pipe)

* Mon Jun 26 2017 andreas@benzlerweb.de 0.1 - 5
- use pkexec to run snapper-gui

* Mon Jun 26 2017 andreas@benzlerweb.de 0.1 - 4
- correct dependency

* Mon Jun 26 2017 andreas@benzlerweb.de 0.1 - 3
- prepair to build for fedora 25

* Mon Jun 26 2017 andreas@benzlerweb.de 0.1 - 2
- retry to build on copr

* Thu Jun 15 2017 andreas@benzlerweb.de 0.1 - 1
- built for centos 7

